Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix.custom
Class BatchResponse

    java.lang.Object
      com.fxcm.fix.custom.ABatchMessage
          com.fxcm.fix.custom.BatchResponse

All Implemented Interfaces:
  ITransportable

    public class BatchResponse

extends ABatchMessage

Field Summary
`static com.fxcm.entity.ICode` | `OBJ_TYPE`

Constructor Summary
`BatchResponse()`
`BatchResponse(ABatchMessage aOrigin)`

Method Summary
`void` | `addResponse(ITransportable aMessage)` Deprecated. use addMessage()
`Iterator` | `getResponses()` Deprecated. use getMessages()
`com.fxcm.entity.ICode` | `getType()` Obtains object type.
`String` | `toString()`

Methods inherited from class com.fxcm.fix.custom.ABatchMessage
`addMessage, equals, fill, getBatchResponseRequired, getContingencyType, getFXCMCommandID, getIMessages, getITransportables, getMakingTime, getMDReqID, getMessages, getMsgCount, getRefMsgType, getRequestID, getRequestTopicID, getSessionID, getTradingSessionID, getTradingSessionSubID, getTransactTime, hashCode, isValid, reset, setBatchResponseRequired, setContingencyType, setFXCMCommandID, setMDReqID, setRefMsgType, setRequestTopicID, setSessionID, setTradingSessionID, setTradingSessionSubID, setTransactTime, toMessage, toMessage, update, useSerialization`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### OBJ_TYPE

    public static final com.fxcm.entity.ICode OBJ_TYPE

Constructor Detail

### BatchResponse

    public BatchResponse()

### BatchResponse

    public BatchResponse(ABatchMessage aOrigin)

Method Detail

### getType

    public com.fxcm.entity.ICode getType()

  Description copied from interface: `ITransportable`
  Obtains object type.

  Returns:
    code of object type.

### toString

    public String toString()

  Overrides:
    `toString` in class `ABatchMessage`

### addResponse

    public void addResponse(ITransportable aMessage)

  Deprecated. use addMessage()

### getResponses

    public Iterator getResponses()

  Deprecated. use getMessages()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 FXCM, LLC. All Rights Reserved.